Index: DataLoader/readers/IgorReader.py
===================================================================
--- DataLoader/readers/IgorReader.py	(revision eadf1f9f54c31c5243668f0374630e50f8e7d90f)
+++ DataLoader/readers/IgorReader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
@@ -1,18 +1,16 @@
+
+############################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#If you use DANSE applications to do scientific research that leads to 
+#publication, we ask that you acknowledge the use of the software with the 
+#following sentence:
+#This work benefited from DANSE software developed under NSF award DMR-0520547. 
+#copyright 2008, University of Tennessee
+#############################################################################
+
 """
     IGOR 2D reduced file reader
-"""
-
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
-
-If you use DANSE applications to do scientific research that leads to 
-publication, we ask that you acknowledge the use of the software with the 
-following sentence:
-
-"This work benefited from DANSE software developed under NSF award DMR-0520547." 
-
-copyright 2008, University of Tennessee
 """
 
Index: DataLoader/readers/abs_reader.py
===================================================================
--- DataLoader/readers/abs_reader.py	(revision fe78c7be16b3ca74072592fdeda007c4a989ce82)
+++ DataLoader/readers/abs_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
@@ -1,11 +1,9 @@
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
-
-See the license text in license.txt
-
-copyright 2008, University of Tennessee
-"""
+#####################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#See the license text in license.txt
+#copyright 2008, University of Tennessee
+######################################################################
 
 import numpy
@@ -21,5 +19,5 @@
 class Reader:
     """
-        Class to load IGOR reduced .ABS files
+    Class to load IGOR reduced .ABS files
     """
     ## File type
@@ -32,10 +30,12 @@
     def read(self, path):
         """ 
-            Load data file
-            
-            @param path: file path
-            @return: Data1D object, or None
-            @raise RuntimeError: when the file can't be opened
-            @raise ValueError: when the length of the data vectors are inconsistent
+        Load data file.
+        
+        :param path: file path
+        
+        :return: Data1D object, or None
+        
+        :raise RuntimeError: when the file can't be opened
+        :raise ValueError: when the length of the data vectors are inconsistent
         """
         if os.path.isfile(path):
Index: DataLoader/readers/ascii_reader.py
===================================================================
--- DataLoader/readers/ascii_reader.py	(revision c7c5ef82e792a7dcb0b0a969b2958d54a43b1aa7)
+++ DataLoader/readers/ascii_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
@@ -1,11 +1,15 @@
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
-
-See the license text in license.txt
-
-copyright 2008, University of Tennessee
-"""
+
+
+############################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#If you use DANSE applications to do scientific research that leads to 
+#publication, we ask that you acknowledge the use of the software with the 
+#following sentence:
+#This work benefited from DANSE software developed under NSF award DMR-0520547. 
+#copyright 2008, University of Tennessee
+#############################################################################
+
 
 import numpy
@@ -22,5 +26,5 @@
 class Reader:
     """
-        Class to load ascii files (2, 3 or 4 columns)
+    Class to load ascii files (2, 3 or 4 columns).
     """
     ## File type
@@ -39,10 +43,12 @@
     def read(self, path):
         """ 
-            Load data file
-            
-            @param path: file path
-            @return: Data1D object, or None
-            @raise RuntimeError: when the file can't be opened
-            @raise ValueError: when the length of the data vectors are inconsistent
+        Load data file
+        
+        :param path: file path
+        
+        :return: Data1D object, or None
+        
+        :raise RuntimeError: when the file can't be opened
+        :raise ValueError: when the length of the data vectors are inconsistent
         """
         if os.path.isfile(path):
Index: DataLoader/readers/associations.py
===================================================================
--- DataLoader/readers/associations.py	(revision ded62cebb4bfbfabe6d23d87b66da8fb44ce91b2)
+++ DataLoader/readers/associations.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
@@ -1,16 +1,20 @@
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
 
-See the license text in license.txt
 
-copyright 2009, University of Tennessee
-"""
+############################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#If you use DANSE applications to do scientific research that leads to 
+#publication, we ask that you acknowledge the use of the software with the 
+#following sentence:
+#This work benefited from DANSE software developed under NSF award DMR-0520547. 
+#copyright 2009, University of Tennessee
+#############################################################################
+
 
 """
-    Module to associate default readers to file extensions.
-    The module reads an xml file to get the readers for each file extension.
-    The readers are tried in order they appear when reading a file.
+Module to associate default readers to file extensions.
+The module reads an xml file to get the readers for each file extension.
+The readers are tried in order they appear when reading a file.
 """
 
@@ -26,9 +30,9 @@
 def read_associations(loader, settings='defaults.xml'):
     """
-        Read the specified settings file to associate
-        default readers to file extension.
-        
-        @param loader: Loader object
-        @param settings: path to the XML settings file [string]
+    Read the specified settings file to associate
+    default readers to file extension.
+    
+    :param loader: Loader object
+    :param settings: path to the XML settings file [string]
     """
     reader_dir = os.path.dirname(__file__)
@@ -69,10 +73,10 @@
 def register_readers(registry_function):
     """
-        Function called by the registry/loader object to register
-        all default readers using a call back function.
-        
-        WARNING: this method is now obsolete
+    Function called by the registry/loader object to register
+    all default readers using a call back function.
     
-        @param registry_function: function to be called to register each reader
+    :WARNING: this method is now obsolete
+
+    :param registry_function: function to be called to register each reader
     """
     logging.info("register_readers is now obsolete: use read_associations()")
Index: DataLoader/readers/cansas_reader.py
===================================================================
--- DataLoader/readers/cansas_reader.py	(revision fe78c7be16b3ca74072592fdeda007c4a989ce82)
+++ DataLoader/readers/cansas_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
@@ -1,11 +1,15 @@
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
-
-See the license text in license.txt
-
-copyright 2008, 2009, University of Tennessee
-"""
+
+
+############################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#If you use DANSE applications to do scientific research that leads to 
+#publication, we ask that you acknowledge the use of the software with the 
+#following sentence:
+#This work benefited from DANSE software developed under NSF award DMR-0520547. 
+#copyright 2008,2009 University of Tennessee
+#############################################################################
+
 # Known issue: reader not compatible with multiple SASdata entries
 # within a single SASentry. Will raise a runtime error.
@@ -37,10 +41,11 @@
 def write_node(doc, parent, name, value, attr={}):
     """
-        @param doc: document DOM
-        @param parent: parent node
-        @param name: tag of the element
-        @param value: value of the child text node
-        @param attr: attribute dictionary
-        @return: True if something was appended, otherwise False
+    :param doc: document DOM
+    :param parent: parent node
+    :param name: tag of the element
+    :param value: value of the child text node
+    :param attr: attribute dictionary
+    
+    :return: True if something was appended, otherwise False
     """
     if value is not None:
@@ -55,9 +60,10 @@
 def get_content(location, node):
     """
-        Get the first instance of the content of a xpath location
-        
-        @param location: xpath location
-        @param node: node to start at
-        @return: Element, or None
+    Get the first instance of the content of a xpath location.
+    
+    :param location: xpath location
+    :param node: node to start at
+    
+    :return: Element, or None
     """
     nodes = node.xpath(location, namespaces={'ns': CANSAS_NS})
@@ -70,8 +76,8 @@
 def get_float(location, node):
     """
-        Get the content of a node as a float 
-        
-        @param location: xpath location
-        @param node: node to start at
+    Get the content of a node as a float 
+    
+    :param location: xpath location
+    :param node: node to start at
     """
     nodes = node.xpath(location, namespaces={'ns': CANSAS_NS})
@@ -96,8 +102,8 @@
 class Reader:
     """
-        Class to load cansas 1D XML files
-        
-        Dependencies:
-            The CanSas reader requires PyXML 0.8.4 or later.
+    Class to load cansas 1D XML files
+    
+    :Dependencies:
+        The CanSas reader requires PyXML 0.8.4 or later.
     """
     ## CanSAS version
@@ -116,12 +122,14 @@
     def read(self, path):
         """ 
-            Load data file
-            
-            @param path: file path
-            @return: Data1D object if a single SASentry was found, 
-                        or a list of Data1D objects if multiple entries were found,
-                        or None of nothing was found
-            @raise RuntimeError: when the file can't be opened
-            @raise ValueError: when the length of the data vectors are inconsistent
+        Load data file
+        
+        :param path: file path
+        
+        :return: Data1D object if a single SASentry was found, 
+                    or a list of Data1D objects if multiple entries were found,
+                    or None of nothing was found
+                    
+        :raise RuntimeError: when the file can't be opened
+        :raise ValueError: when the length of the data vectors are inconsistent
         """
         output = []
@@ -162,8 +170,9 @@
     def _parse_entry(self, dom):
         """
-            Parse a SASentry
-            
-            @param node: SASentry node
-            @return: Data1D object
+        Parse a SASentry
+        
+        :param node: SASentry node
+        
+        :return: Data1D object
         """
         x = numpy.zeros(0)
@@ -510,7 +519,7 @@
     def _to_xml_doc(self, datainfo):
         """
-            Create an XML document to contain the content of a Data1D
-            
-            @param datainfo: Data1D object
+        Create an XML document to contain the content of a Data1D
+        
+        :param datainfo: Data1D object
         """
         
@@ -696,8 +705,8 @@
     def write(self, filename, datainfo):
         """
-            Write the content of a Data1D as a CanSAS XML file
-            
-            @param filename: name of the file to write
-            @param datainfo: Data1D object
+        Write the content of a Data1D as a CanSAS XML file
+        
+        :param filename: name of the file to write
+        :param datainfo: Data1D object
         """
         # Create XML document
@@ -710,19 +719,19 @@
     def _store_float(self, location, node, variable, storage, optional=True):
         """
-            Get the content of a xpath location and store
-            the result. Check that the units are compatible
-            with the destination. The value is expected to
-            be a float.
-            
-            The xpath location might or might not exist.
-            If it does not exist, nothing is done
-            
-            @param location: xpath location to fetch
-            @param node: node to read the data from
-            @param variable: name of the data member to store it in [string]
-            @param storage: data object that has the 'variable' data member
-            @param optional: if True, no exception will be raised if unit conversion can't be done
-    
-            @raise ValueError: raised when the units are not recognized
+        Get the content of a xpath location and store
+        the result. Check that the units are compatible
+        with the destination. The value is expected to
+        be a float.
+        
+        The xpath location might or might not exist.
+        If it does not exist, nothing is done
+        
+        :param location: xpath location to fetch
+        :param node: node to read the data from
+        :param variable: name of the data member to store it in [string]
+        :param storage: data object that has the 'variable' data member
+        :param optional: if True, no exception will be raised if unit conversion can't be done
+
+        :raise ValueError: raised when the units are not recognized
         """
         entry = get_content(location, node)
@@ -767,15 +776,16 @@
     def _store_content(self, location, node, variable, storage):
         """
-            Get the content of a xpath location and store
-            the result. The value is treated as a string.
-            
-            The xpath location might or might not exist.
-            If it does not exist, nothing is done
-            
-            @param location: xpath location to fetch
-            @param node: node to read the data from
-            @param variable: name of the data member to store it in [string]
-            @param storage: data object that has the 'variable' data member
-            @return: return a list of errors
+        Get the content of a xpath location and store
+        the result. The value is treated as a string.
+        
+        The xpath location might or might not exist.
+        If it does not exist, nothing is done
+        
+        :param location: xpath location to fetch
+        :param node: node to read the data from
+        :param variable: name of the data member to store it in [string]
+        :param storage: data object that has the 'variable' data member
+        
+        :return: return a list of errors
         """
         entry = get_content(location, node)
Index: DataLoader/readers/danse_reader.py
===================================================================
--- DataLoader/readers/danse_reader.py	(revision eadf1f9f54c31c5243668f0374630e50f8e7d90f)
+++ DataLoader/readers/danse_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
@@ -1,18 +1,17 @@
+
+
+############################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#If you use DANSE applications to do scientific research that leads to 
+#publication, we ask that you acknowledge the use of the software with the 
+#following sentence:
+#This work benefited from DANSE software developed under NSF award DMR-0520547. 
+#copyright 2008, University of Tennessee
+#############################################################################
+
 """
     DANSE/SANS file reader
-"""
-
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
-
-If you use DANSE applications to do scientific research that leads to 
-publication, we ask that you acknowledge the use of the software with the 
-following sentence:
-
-"This work benefited from DANSE software developed under NSF award DMR-0520547." 
-
-copyright 2008, University of Tennessee
 """
 
@@ -34,5 +33,5 @@
 class Reader:
     """
-        Example data manipulation
+    Example data manipulation
     """
     ## File type
@@ -45,6 +44,6 @@
     def read(self, filename=None):
         """
-            Open and read the data in a file
-            @param file: path of the file
+        Open and read the data in a file
+        @param file: path of the file
         """
         
@@ -215,5 +214,5 @@
                 
                 
-            # Store all data ######################################
+            # Store all data 
             # Store wavelength
             if has_converter==True and output.source.wavelength_unit != 'A':
Index: DataLoader/readers/hfir1d_reader.py
===================================================================
--- DataLoader/readers/hfir1d_reader.py	(revision fe78c7be16b3ca74072592fdeda007c4a989ce82)
+++ DataLoader/readers/hfir1d_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
@@ -1,11 +1,10 @@
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
 
-See the license text in license.txt
-
-copyright 2008, University of Tennessee
-"""
+#####################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#See the license text in license.txt
+#copyright 2008, University of Tennessee
+######################################################################
 
 import numpy
@@ -22,5 +21,5 @@
 class Reader(object):
     """
-        Class to load HFIR 1D 4-column files
+    Class to load HFIR 1D 4-column files
     """
     ## File type
@@ -33,10 +32,12 @@
     def read(self, path):
         """ 
-            Load data file
-            
-            @param path: file path
-            @return: Data1D object, or None
-            @raise RuntimeError: when the file can't be opened
-            @raise ValueError: when the length of the data vectors are inconsistent
+        Load data file
+        
+        :param path: file path
+        
+        :return: Data1D object, or None
+        
+        :raise RuntimeError: when the file can't be opened
+        :raise ValueError: when the length of the data vectors are inconsistent
         """
         if os.path.isfile(path):
Index: DataLoader/readers/red2d_reader.py
===================================================================
--- DataLoader/readers/red2d_reader.py	(revision 59a2dab0aac22f97fd0ca8a6eec9deaf30bc303c)
+++ DataLoader/readers/red2d_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
@@ -1,19 +1,15 @@
+
+#####################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#See the license text in license.txt
+#copyright 2008, University of Tennessee
+######################################################################
+
 """
     TXT/IGOR 2D Q Map file reader
 """
 
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
-
-If you use DANSE applications to do scientific research that leads to 
-publication, we ask that you acknowledge the use of the software with the 
-following sentence:
-
-"This work benefited from DANSE software developed under NSF award DMR-0520547." 
-
-copyright 2008, University of Tennessee
-"""
 
 import os, sys
Index: DataLoader/readers/tiff_reader.py
===================================================================
--- DataLoader/readers/tiff_reader.py	(revision fe78c7be16b3ca74072592fdeda007c4a989ce82)
+++ DataLoader/readers/tiff_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
@@ -1,15 +1,16 @@
+
+
+#####################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#See the license text in license.txt
+#copyright 2008, University of Tennessee
+######################################################################
 """
     Image reader. Untested. 
 """
 
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
 
-See the license text in license.txt
-
-copyright 2008, University of Tennessee
-"""
 #TODO: load and check data and orientation of the image (needs rendering)
 
@@ -20,5 +21,5 @@
 class Reader:
     """
-        Example data manipulation
+    Example data manipulation
     """
     ## File type
@@ -33,6 +34,7 @@
     def read(self, filename=None):
         """
-            Open and read the data in a file
-            @param file: path of the file
+        Open and read the data in a file
+        
+        :param file: path of the file
         """
         try: