Index: src/sas/sascalc/dataloader/file_reader_base_class.py
===================================================================
--- src/sas/sascalc/dataloader/file_reader_base_class.py	(revision 425feffabe4217ae05d0d3d4de4a9415d3a7a8dc)
+++ src/sas/sascalc/dataloader/file_reader_base_class.py	(revision 2924532bedb06633b9888eb37ac4bd1a31dbbeff)
@@ -34,7 +34,7 @@
                        "t not be fully reduced. Support for the reader associat"
                        "ed with this file type has been removed. An attempt to "
-                       "load the file was made, but SasView cannot guarantee th"
-                       "e accuracy of the data.")
-
+                       "load the file was made, however, even if a data set was"
+                       " generated, SasView cannot guarantee the accuracy of th"
+                       "e data.")
 
 class FileReader(object):
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision 2924532bedb06633b9888eb37ac4bd1a31dbbeff)
@@ -185,5 +185,5 @@
             try:
                 message = "Loading {}...\n".format(p_file)
-                self.load_update(output=output, message=message, info="info")
+                self.load_update(message=message, info="info")
                 temp = self.loader.load(p_file, format)
                 if not isinstance(temp, list):
@@ -201,22 +201,17 @@
                         else:
                             file_errors[basename] = [error_message]
-                        self.load_update(output=output,
-                            message=error_message, info="warning")
-
-                self.load_update(output=output,
-                message="Loaded {}\n".format(p_file),
-                info="info")
+
+                self.load_update(message="Loaded {}\n".format(p_file),
+                                 info="info")
 
             except NoKnownLoaderException as e:
                 exception_occurred = True
-                logger.error(e.message)
-
                 error_message = "Loading data failed!\n" + e.message
-                self.load_update(output=None, message=e.message, info="warning")
+                self.load_complete(output=None,
+                                   message=error_message,
+                                   info="warning")
 
             except Exception as e:
                 exception_occurred = True
-                logger.error(e.message)
-
                 file_err = "The Data file you selected could not be "
                 file_err += "loaded.\nMake sure the content of your file"
@@ -225,18 +220,21 @@
                 file_err += " following:\n"
                 file_err += e.message
-                file_errors[basename] = [file_err]
+                self.load_complete(output=None,
+                                   message=file_err,
+                                   info="error")
 
         if len(file_errors) > 0:
             error_message = ""
             for filename, error_array in file_errors.iteritems():
-                error_message += "The following errors occured whilst "
+                error_message += "The following issues were found whilst "
                 error_message += "loading {}:\n".format(filename)
                 for message in error_array:
                     error_message += message + "\n"
-                error_message += "\n"
-            if not exception_occurred: # Some data loaded but with errors
-                self.load_update(output=output, message=error_message, info="error")
-
-        if not exception_occurred: # Everything loaded as expected
+                error_message = error_message[:-1]
+            self.load_complete(output=output,
+                               message=error_message,
+                               info="error")
+
+        elif not exception_occurred: # Everything loaded as expected
             self.load_complete(output=output, message="Loading data complete!",
                                info="info")
@@ -244,11 +242,11 @@
             self.load_complete(output=None, message=error_message, info="error")
 
-
-    def load_update(self, output=None, message="", info="warning"):
+    def load_update(self, message="", info="warning"):
         """
         print update on the status bar
         """
         if message != "":
-            wx.PostEvent(self.parent, StatusEvent(status=message, info=info,
+            wx.PostEvent(self.parent, StatusEvent(status=message,
+                                                  info=info,
                                                   type="progress"))
 
@@ -257,5 +255,6 @@
          post message to status bar and return list of data
         """
-        wx.PostEvent(self.parent, StatusEvent(status=message, info=info,
+        wx.PostEvent(self.parent, StatusEvent(status=message,
+                                              info=info,
                                               type="stop"))
         if output is not None: