Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 997131a77b184b826e78088a435366bc2778bd3e)
+++ sansview/perspectives/fitting/basepage.py	(revision 3370922c49e4a289d9d88d22630dd817789efde8)
@@ -4,5 +4,5 @@
 import numpy
 import time
-
+import copy 
 from sans.guiframe.utils import format_number,check_float
 from sans.guicomm.events import StatusEvent   
@@ -443,7 +443,8 @@
         if hasattr(self,"enable_disp"):
             self.state.enable_disp= self.enable_disp.GetValue()
-            
+        
+        self.state.smearer = copy.deepcopy(self.smearer)
         if hasattr(self,"enable_smearer"):
-            self.state.enable_smearer = self.enable_smearer.GetValue()   
+            self.state.enable_smearer = copy.deepcopy(self.enable_smearer.GetValue())
             
         if hasattr(self,"disp_box"):
@@ -472,4 +473,6 @@
         self.model= self.state.model
         self.data = self.state.data
+        self.smearer= self.state.smearer
+        self.state.enable_smearer=state.enable_smearer
        
         ##model parameter values restore
@@ -483,15 +486,15 @@
             self.disp_box.SetSelection(self.state.disp_box)  
         self._set_dipers_Param(event=None)
-       
+        ##plotting range restore    
+        self._reset_plotting_range()
         ## smearing info  restore
         if hasattr(self,"enable_smearer"):
+            ## set smearing value whether or not the data contain the smearing info
             self.enable_smearer.SetValue(state.enable_smearer)
-         ## reset state of checkbox,textcrtl  and parameters value
-       
-        ##plotting range restore    
-        self._reset_plotting_range()
+            self.compute_chisqr(smearer= self.smearer)  
+            
         ## reset context menu items
         self._reset_context_menu()
-       
+        ## reset state of checkbox,textcrtl  and parameters value
         self._reset_parameters_state(self.parameters,state.parameters)
         self._reset_parameters_state(self.fittable_param,state.fittable_param)
@@ -803,5 +806,7 @@
         """
         if self.model !=None:
+            
             self.manager.draw_model(self.model, data=self.data,
+                                    smearer= self.smearer,
                                     qmin=float(self.qmin_x), qmax=float(self.qmax_x),
                                     qstep= float(self.num_points),
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 847091f694b3fb9ce181cdb0b633c6a78457c02e)
+++ sansview/perspectives/fitting/fitpage.py	(revision 3370922c49e4a289d9d88d22630dd817789efde8)
@@ -610,5 +610,5 @@
             are compute when fitting
         """
-        
+        temp_smearer = None
         if self.enable_smearer.GetValue():
             msg=""
@@ -624,8 +624,7 @@
                 wx.PostEvent(self.manager.parent, StatusEvent(status=\
                             "Data contains smearing information %s"%msg))
-        else:
-            temp_smearer = None
+       
         ## set smearing value whether or not the data contain the smearing info
-        self.manager.set_smearer(temp_smearer, qmin= float(self.qmin_x),
+        self.manager.set_smearer(smearer=temp_smearer, qmin= float(self.qmin_x),
                                       qmax= float(self.qmax_x)) 
         ##Calculate chi2
@@ -633,4 +632,5 @@
         ## save the state enable smearing
         self.save_current_state()
+       
          
    
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision 847091f694b3fb9ce181cdb0b633c6a78457c02e)
+++ sansview/perspectives/fitting/fitting.py	(revision 3370922c49e4a289d9d88d22630dd817789efde8)
@@ -359,6 +359,6 @@
         ## redraw the model with data smeared
         
-        smearer =self.page_finder[current_pg].get_smearer()
-        self.draw_model( model=model, data= data, smearer= smearer,
+        smear =self.page_finder[current_pg].get_smearer()
+        self.draw_model( model=model, data= data, smearer= smear,
                 qmin= qmin, qmax= qmax)
 
@@ -1070,5 +1070,6 @@
                 qmin = min(data.x)
             if qmax == DEFAULT_QMAX:
-                qmax = max(data.x)
+                qmax = max(data.x) 
+           
         
         if not enable1D:
Index: sansview/perspectives/fitting/pagestate.py
===================================================================
--- sansview/perspectives/fitting/pagestate.py	(revision 60132ef18e274730daf212156c736dd44e98affe)
+++ sansview/perspectives/fitting/pagestate.py	(revision 3370922c49e4a289d9d88d22630dd817789efde8)
@@ -42,4 +42,6 @@
         ## orientation parameters
         self.orientation_params=[]
+        ## smearer info
+        self.smearer=None
         #list of dispersion paramaters
         self.disp_list =[]
@@ -96,4 +98,6 @@
         obj.npts = copy.deepcopy(self.npts )
         obj.cb1 = copy.deepcopy(self.cb1)
+        obj.smearer = copy.deepcopy(self.smearer)
+        
         for name, state in self.saved_states.iteritems():
             copy_name = copy.deepcopy(name)