Index: sansmodels/docs/sphinx/html/api/FractalAbsModel.html
===================================================================
--- sansmodels/docs/sphinx/html/api/FractalAbsModel.html	(revision 512573a53f2ed9d9eed01dddaf2634f02d8da866)
+++ sansmodels/docs/sphinx/html/api/FractalAbsModel.html	(revision c0d873f72968ff9d57d6b547d5e4d6b81c01b9a1)
@@ -3,4 +3,5 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+
 
 <html xmlns="http://www.w3.org/1999/xhtml">
@@ -8,7 +9,9 @@
     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
     
-    <title>FractalAbsModel &mdash; sansmodels v0.1.0 documentation</title>
+    <title>FractalAbsModel &mdash; sansmodels 0.1.0 documentation</title>
+    
     <link rel="stylesheet" href="../_static/default.css" type="text/css" />
     <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
+    
     <script type="text/javascript">
       var DOCUMENTATION_OPTIONS = {
@@ -23,5 +26,5 @@
     <script type="text/javascript" src="../_static/underscore.js"></script>
     <script type="text/javascript" src="../_static/doctools.js"></script>
-    <link rel="top" title="sansmodels v0.1.0 documentation" href="../index.html" />
+    <link rel="top" title="sansmodels 0.1.0 documentation" href="../index.html" />
     <link rel="up" title="Reference" href="index.html" />
     <link rel="next" title="FractalCoreShellModel" href="FractalCoreShellModel.html" />
@@ -44,5 +47,5 @@
           <a href="FlexibleCylinderModel.html" title="FlexibleCylinderModel"
              accesskey="P">previous</a> |</li>
-        <li><a href="../index.html">sansmodels v0.1.0 documentation</a> &raquo;</li>
+        <li><a href="../index.html">sansmodels 0.1.0 documentation</a> &raquo;</li>
           <li><a href="index.html" accesskey="U">Reference</a> &raquo;</li> 
       </ul>
@@ -56,7 +59,7 @@
   <div class="section" id="fractalabsmodel">
 <h1>FractalAbsModel<a class="headerlink" href="#fractalabsmodel" title="Permalink to this headline">Â¶</a></h1>
-<div class="section" id="module-sans.models.FractalAbsModel">
-<span id="sans-models-fractalabsmodel"></span><h2><a class="reference internal" href="#module-sans.models.FractalAbsModel" title="sans.models.FractalAbsModel"><tt class="xref py py-mod docutils literal"><span class="pre">sans.models.FractalAbsModel</span></tt></a><a class="headerlink" href="#module-sans.models.FractalAbsModel" title="Permalink to this headline">Â¶</a></h2>
-<p>Provide F(x)= P(<a href="#id1"><span class="problematic" id="id2">|x|</span></a>)*S(<a href="#id3"><span class="problematic" id="id4">|x|</span></a>) + bkd
+<div class="section" id="sans-models-fractalabsmodel">
+<h2><a class="reference internal" href="#module-sans.models.FractalAbsModel" title="sans.models.FractalAbsModel"><tt class="xref py py-mod docutils literal"><span class="pre">sans.models.FractalAbsModel</span></tt></a><a class="headerlink" href="#sans-models-fractalabsmodel" title="Permalink to this headline">Â¶</a></h2>
+<span class="target" id="module-sans.models.FractalAbsModel"></span><p>Provide F(x)= P(<a href="#id3"><span class="problematic" id="id4">|x|</span></a>)*S(<a href="#id5"><span class="problematic" id="id6">|x|</span></a>) + bkd
 Fractal as a BaseComponent model</p>
 <dl class="class">
@@ -65,5 +68,5 @@
 <dd><p>Bases: <a class="reference internal" href="FractalModel.html#sans.models.FractalModel.FractalModel" title="sans.models.FractalModel.FractalModel"><tt class="xref py py-class docutils literal"><span class="pre">sans.models.FractalModel.FractalModel</span></tt></a></p>
 <p>Class that evaluates a Fractal function.</p>
-<p>F(<a href="#id5"><span class="problematic" id="id6">|x|</span></a>)= P(<a href="#id7"><span class="problematic" id="id8">|x|</span></a>)*S(<a href="#id9"><span class="problematic" id="id10">|x|</span></a>) + bkd
+<p>F(<a href="#id7"><span class="problematic" id="id8">|x|</span></a>)= P(<a href="#id9"><span class="problematic" id="id10">|x|</span></a>)*S(<a href="#id11"><span class="problematic" id="id12">|x|</span></a>) + bkd
 The model has Seven parameters:</p>
 <blockquote>
@@ -76,4 +79,124 @@
 background   =  background</div></blockquote>
 <dl class="method">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel._Fractal">
+<tt class="descname">_Fractal</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel._Fractal" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__add__">
+<tt class="descname">__add__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__add__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__class__">
+<tt class="descname">__class__</tt><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__class__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>alias of <tt class="xref py py-class docutils literal"><span class="pre">type</span></tt></p>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__delattr__">
+<tt class="descname">__delattr__</tt><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__delattr__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>x.__delattr__(&#8216;name&#8217;) &lt;==&gt; del x.name</p>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__dict__">
+<tt class="descname">__dict__</tt><em class="property"> = &lt;dictproxy object at 0x02270330&gt;</em><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__dict__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__div__">
+<tt class="descname">__div__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__div__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__getattribute__">
+<tt class="descname">__getattribute__</tt><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__getattribute__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>x.__getattribute__(&#8216;name&#8217;) &lt;==&gt; x.name</p>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__hash__">
+<tt class="descname">__hash__</tt><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__hash__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>x.__hash__() &lt;==&gt; hash(x)</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__init__">
+<tt class="descname">__init__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__init__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Initialization</p>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__module__">
+<tt class="descname">__module__</tt><em class="property"> = 'sans.models.FractalAbsModel'</em><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__module__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__mul__">
+<tt class="descname">__mul__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__mul__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="staticmethod">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__new__">
+<em class="property">static </em><tt class="descname">__new__</tt><big>(</big><em>S</em>, <em>...</em><big>)</big> &rarr; a new object with type S, a subtype of T<a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__new__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__reduce__">
+<tt class="descname">__reduce__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__reduce__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>helper for pickle</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__reduce_ex__">
+<tt class="descname">__reduce_ex__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__reduce_ex__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Overwrite the __reduce_ex__ of PyTypeObject <a href="#id1"><span class="problematic" id="id2">*</span></a>type call in the init of 
+c model.</p>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__repr__">
+<tt class="descname">__repr__</tt><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__repr__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>x.__repr__() &lt;==&gt; repr(x)</p>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__setattr__">
+<tt class="descname">__setattr__</tt><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__setattr__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>x.__setattr__(&#8216;name&#8217;, value) &lt;==&gt; x.name = value</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__setstate__">
+<tt class="descname">__setstate__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__setstate__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>restore the state of a model from pickle</p>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__str__">
+<tt class="descname">__str__</tt><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__str__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>x.__str__() &lt;==&gt; str(x)</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__sub__">
+<tt class="descname">__sub__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__sub__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel.__weakref__">
+<tt class="descname">__weakref__</tt><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.__weakref__" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>list of weak references to the object (if defined)</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.FractalAbsModel.FractalAbsModel._clone">
+<tt class="descname">_clone</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel._clone" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Internal utility function to copy the internal
+data members to a fresh copy.</p>
+</dd></dl>
+
+<dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.calculate_ER">
 <tt class="descname">calculate_ER</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.calculate_ER" title="Permalink to this definition">Â¶</a></dt>
@@ -83,5 +206,5 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Returns:</th><td class="field-body">the value of the effective radius</td>
+<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">the value of the effective radius</td>
 </tr>
 </tbody>
@@ -103,5 +226,5 @@
 <dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.evalDistribution">
-<tt class="descname">evalDistribution</tt><big>(</big><em>x=</em><span class="optional">[</span><span class="optional">]</span><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.evalDistribution" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">evalDistribution</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.evalDistribution" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Evaluate the model in cartesian coordinates</p>
 <table class="docutils field-list" frame="void" rules="none">
@@ -109,7 +232,7 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q[], or [qx[], qy[]]</td>
-</tr>
-<tr class="field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q[])</td>
+<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q[], or [qx[], qy[]]</td>
+</tr>
+<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q[])</td>
 </tr>
 </tbody>
@@ -125,5 +248,5 @@
 <dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.getParam">
-<tt class="descname">getParam</tt><big>(</big><em>name</em><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.getParam" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">getParam</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.getParam" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Set the value of a model parameter</p>
 <table class="docutils field-list" frame="void" rules="none">
@@ -131,5 +254,5 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>name</strong> &#8211; name of the parameter</td>
+<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>name</strong> &#8211; name of the parameter</td>
 </tr>
 </tbody>
@@ -145,15 +268,15 @@
 <dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.getParamListWithToken">
-<tt class="descname">getParamListWithToken</tt><big>(</big><em>token</em>, <em>member</em><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.getParamListWithToken" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">getParamListWithToken</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.getParamListWithToken" title="Permalink to this definition">Â¶</a></dt>
 <dd></dd></dl>
 
 <dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.getParamWithToken">
-<tt class="descname">getParamWithToken</tt><big>(</big><em>name</em>, <em>token</em>, <em>member</em><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.getParamWithToken" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">getParamWithToken</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.getParamWithToken" title="Permalink to this definition">Â¶</a></dt>
 <dd></dd></dl>
 
 <dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.is_fittable">
-<tt class="descname">is_fittable</tt><big>(</big><em>par_name</em><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.is_fittable" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">is_fittable</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.is_fittable" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Check if a given parameter is fittable or not</p>
 <table class="docutils field-list" frame="void" rules="none">
@@ -161,5 +284,5 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>par_name</strong> &#8211; the parameter name to check</td>
+<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>par_name</strong> &#8211; the parameter name to check</td>
 </tr>
 </tbody>
@@ -179,7 +302,7 @@
 </dd></dl>
 
-<dl class="attribute">
+<dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.reset">
-<tt class="descname">reset</tt><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.reset" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">reset</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.reset" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Reset pair correlation</p>
 </dd></dl>
@@ -187,5 +310,5 @@
 <dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.run">
-<tt class="descname">run</tt><big>(</big><em>x=0.0</em><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.run" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">run</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.run" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Evaluate the model</p>
 <table class="docutils field-list" frame="void" rules="none">
@@ -193,7 +316,7 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q, or [q,phi]</td>
-</tr>
-<tr class="field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q)</td>
+<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q, or [q,phi]</td>
+</tr>
+<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q)</td>
 </tr>
 </tbody>
@@ -203,5 +326,5 @@
 <dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.runXY">
-<tt class="descname">runXY</tt><big>(</big><em>x=0.0</em><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.runXY" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">runXY</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.runXY" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Evaluate the model in cartesian coordinates</p>
 <table class="docutils field-list" frame="void" rules="none">
@@ -209,7 +332,7 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q, or [qx, qy]</td>
-</tr>
-<tr class="field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q)</td>
+<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q, or [qx, qy]</td>
+</tr>
+<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q)</td>
 </tr>
 </tbody>
@@ -219,5 +342,5 @@
 <dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.setParam">
-<tt class="descname">setParam</tt><big>(</big><em>name</em>, <em>value</em><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.setParam" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">setParam</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.setParam" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Set the value of a model parameter</p>
 <table class="docutils field-list" frame="void" rules="none">
@@ -225,5 +348,5 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
+<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
 <li><strong>name</strong> &#8211; name of the parameter</li>
 <li><strong>value</strong> &#8211; value of the parameter</li>
@@ -237,10 +360,10 @@
 <dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.setParamWithToken">
-<tt class="descname">setParamWithToken</tt><big>(</big><em>name</em>, <em>value</em>, <em>token</em>, <em>member</em><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.setParamWithToken" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">setParamWithToken</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.setParamWithToken" title="Permalink to this definition">Â¶</a></dt>
 <dd></dd></dl>
 
 <dl class="method">
 <dt id="sans.models.FractalAbsModel.FractalAbsModel.set_dispersion">
-<tt class="descname">set_dispersion</tt><big>(</big><em>parameter</em>, <em>dispersion</em><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.set_dispersion" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">set_dispersion</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.FractalAbsModel.FractalAbsModel.set_dispersion" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Set the dispersion object for a model parameter</p>
 <table class="docutils field-list" frame="void" rules="none">
@@ -248,5 +371,5 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
+<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
 <li><strong>parameter</strong> &#8211; name of the parameter [string]</li>
 <li><strong>dispersion</strong> &#8211; dispersion object of type DispersionModel</li>
@@ -272,5 +395,5 @@
   <ul>
 <li><a class="reference internal" href="#">FractalAbsModel</a><ul>
-<li><a class="reference internal" href="#module-sans.models.FractalAbsModel"><tt class="docutils literal"><span class="pre">sans.models.FractalAbsModel</span></tt></a></li>
+<li><a class="reference internal" href="#sans-models-fractalabsmodel"><tt class="docutils literal"><span class="pre">sans.models.FractalAbsModel</span></tt></a></li>
 </ul>
 </li>
@@ -291,5 +414,5 @@
   <h3>Quick search</h3>
     <form class="search" action="../search.html" method="get">
-      <input type="text" name="q" size="18" />
+      <input type="text" name="q" />
       <input type="submit" value="Go" />
       <input type="hidden" name="check_keywords" value="yes" />
@@ -320,5 +443,5 @@
           <a href="FlexibleCylinderModel.html" title="FlexibleCylinderModel"
              >previous</a> |</li>
-        <li><a href="../index.html">sansmodels v0.1.0 documentation</a> &raquo;</li>
+        <li><a href="../index.html">sansmodels 0.1.0 documentation</a> &raquo;</li>
           <li><a href="index.html" >Reference</a> &raquo;</li> 
       </ul>
@@ -326,5 +449,5 @@
     <div class="footer">
         &copy; Copyright 2010, sans group.
-      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.7.
+      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.1.
     </div>
   </body>